unit UAdd;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ComCtrls, UDomino, Mask;

type
  TAddForm = class(TForm)
    ud1: TUpDown;
    ud2: TUpDown;
    btn1: TButton;
    lbl1: TLabel;
    lbl2: TLabel;
    medt_val1: TMaskEdit;
    medt_val2: TMaskEdit;
    procedure FormCreate(Sender: TObject);
    procedure btn1Click(Sender: TObject);
    procedure edt_val2KeyPress(Sender: TObject; var Key: Char);
  private
    FBone:TBone;
  public
    property Bone:TBone read FBone;
  end;

implementation

{$R *.dfm}

procedure TAddForm.FormCreate(Sender: TObject);
begin
  ud1.Associate:=medt_val1;
  ud2.Associate:=medt_val2;
end;

procedure TAddForm.btn1Click(Sender: TObject);
begin
  FBone.val1:=StrToInt(medt_val1.Text);
  FBone.val2:=StrToInt(medt_val2.Text);
  ModalResult:=mrOK;
end;

procedure TAddForm.edt_val2KeyPress(Sender: TObject; var Key: Char);
const Avalable: Set of Char=['0' .. '6',#8];
begin
  if not (Key in Avalable) then Key:=#0;
end;

end.
